Figure - Bug #117378
00 Test-ST #113421 (New): V400 000 00 0O
O O Test-ST # 113422 (New): V4.00 O --AFO O --monkeyd O
0 IOVDEV-2824100 O AFO O EVT30 O Monkeyd Monkey[d 00 480 0 O O
O CRASH:com.android.webview:webview_apk(1)
2023-04-1110:43 - CD TEST-0 0 O

Status: CLOSED Start date: 2023-04-11

Priority: Urgent Due date:

Assignee: CDTEST-U DO O % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C108(X103)
Resolution: WONTFIX Degrated: -

Severity: Critical Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: WebView Navite O O
Description

oooood

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes
--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10
--pct-anyevent 10 --ignore-crashes -v -v -v 345600 2>/sdcard/error.txt 1>/sdcard/info.txt

gooooo

CRASH: com.android.webview:webview_apk (pid 6998)

// Short Msg: Native crash

// Long Msg: Native crash: Trap

// Build Label: TC/figure_ CN/figure:12/SKQ1.220201.001/2768:user/test-keys

// Build Changelist; 2768

// Build Time: 1680817342000

// Fkk kkk kkk hkk hkk kkk khk hhk hkk kkk khk hkk hkk kkk khk hkk

// Build fingerprint: "TC/figure_ CN/figure:12/SKQ1.220201.001/2768:user/test-keys'
// Revision: ‘0’

// ABI: ‘arm’

// Timestamp: 2023-04-08 01:08:09.902251337+0800

// Process uptime: 158s

// Cmdline: com.android.webview:webview_apk

// pid: 6998, tid: 6998, name: iew:webview_apk >>> com.android.webview:webview_apk <<<
// uid: 10068

// signal 5 (SIGTRAP), code 1 (TRAP_BRKPT), fault addr Oxcd5db85¢c

// r0 00000000 r1 00000000 r2 00000001 r3 00000000

// r4 36655040 r5 00000000 r6 366081e0 r7 00000000

/1 r8 ff9abdbc r9 cd59881b ri10 ff9a6df4 ri1l 366081e8

Il ip cf136e70 sp ff9a6d30 Ir cd5db361 pc cd5db85¢c

// backtrace:

/1l #00 pc 01c2285¢ /product/app/webview/webview.apk!libwebviewchromium.so (Buildld: 9d4f11d4a5322442e601588245e071991ddb78a9)
1/
History

#1-2023-04-1111:07-CD TEST-0 O O
- Subject changed from O AFO O EVT30 O MonkeyO Monkey 0 120 0 O O O CRASH:com.android.webview:webview_apk(1) to 0 AFO O EVT3O O Monkey
0 MonkeyO O 480 O O O O CRASH:com.android.webview:webview_apk(1)

#2 - 2023-04-11 11:33 - CD APP-0 O
- Category changed from CD-APP to CD-FW
- Assignee changed from CD APP-00 0 toCDFW O O O

#3-2023-04-1209:53-CDFW DO OO
- Status changed from New to ASSIGNED
- Assignee changed fromCDFW O 0 0 toCD FW-0O O

#4 - 2023-04-12 13:54 - 10T scm

Gerrit Merge Information(]

1D Project Branch Uploader
193172 general/platform/external/chromium- | Pre_figure_turbox-c2130c-lal.1-gssi12 | tao.liao@thundersoft.com
webview -dev

AF:WebView: Update webview apk to version 101.0.4951.61TC-RID: 1201-0201809IssuelD: TS-R-BUG-117378Change-I1d:
108d440332db6be2d88b4602c878ca41b34d9f633

#5 - 2023-04-12 13:57 - CD FW-0 O

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-[0 O to CD TEST-00 O O
- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-12

- Root cause set to WebView Navite 0 O

m Current conclusion

oooooooooo

m My analysis

00000000000000 WebViewNaviteDOOOODOODO WebViewd O apkOOO0O0O0OO0OODOODODO WebViewD OO 95.0.4638.740 00

101.0.4951.61 0

O0O0OWebviewO OOOOOO0O0O000O00000 GooglePlayDOOOOOOOODOO

m Nextaction

goooo

#6 - 2023-04-14 09:52 - CD TEST-O0 O O

414
00010 0000000000000

2025-07-04 2/4



#7 - 2023-04-1710:13-CD TEST-O0 O O

417
ugpeO 04800000
oooooooo

#8 - 2023-04-18 11:41 -CD TEST-0 O O

- File error.txt added

- Status changed from RESOLVED to VERIFY_FAILED

- Assignee changed from CD TEST-[0 0 O to CD FW-0 O

4.18

gooooo
FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202304170012
goooooo

ftp://cdiot@192.168.87.46/Pre_figure/Test Log/Bug_117378

#9 - 2023-04-18 19:17 - CD FW-0O O

- Status changed from VERIFY_FAILED to ASSIGNED

- Assignee changed fromCDFW-O O toCDFW O O O
- % Done changed from 100 to 0

- Resolution changed from FIXED to --

- Degrated changed from No to --

- Fixed Version deleted (2023-04-12)

m My analysis
0 CRASH O O libwebviewchromium.so 0 00 O native 0 O 0 O O O O stackoverflow 0 google 0 0 000000000000 Android7.0+0000000
00000000000000000000000000 WebviewOOOOOOODOODODOOODODOOODOOOODODOO

oood
https://stackoverflow.com/questions/46198320/signal-5-sigtrap-code-1-trap-brkpt-relating-to-webview-apk
https://groups.google.com/g/google-admob-ads-sdk/c/16giNOVbVa0/m/Dr_ NHi6UCwAJ

#10 - 2023-04-1819:49-CDFwW O O O

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed fromCDFW O 0 O toCD TEST-O0 O O
- Need_Info changed from -- to TEST

HiOO
oopoooo
00 0 O webview O O monkeyd O O O O crash

0000000000000,000pk 0000000000000 OO0OOOODOODOOODOODOOODOpkOOOOO
goooooooooooooo

gooooooooooooooooo
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117378
https://stackoverflow.com/questions/46198320/signal-5-sigtrap-code-1-trap-brkpt-relating-to-webview-apk
https://groups.google.com/g/google-admob-ads-sdk/c/I6giN0VbVa0/m/Dr_NHi6UCwAJ

10k 00000000000 DODO0O0O0O000DO0O00D0O0O0000O000D0ekOIDOOOOOOOODODOO0ODO

2000000000 Android7.0+00000000000000C0CO000O0O00DOO0O0O0O0O0O WebviewdOOOOOOOOOODOOODODOO

oooooo
ggbooooboooobooooooooon

400000wedviewd 00 000000000000000000O00O0O0O0O0O0O0OO0

ooooooooooon

#11 - 2023-04-19 19:19 - CDTS_TEST O O
- Assignee changed from CD TEST-00 0 0 to CD TPM-0 0O O

goooooooooooooooo

#12 - 2023-05-12 23:38-CD TPM-O 0 O

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from CD TPM-0 O O to CDTS_TEST O O
- Resolution changed from -- to WONTFIX

0000000000monkeyD O0000000000OmonkeyJ J00000000000000000000000OapkOcrashDOOO0O0O

oooOoooooooon

#13 - 2023-05-16 20:24 - CDTS_TEST O O

- Subject changed from O AFO O EVT30 O Monkeyd Monkey [0 4801 [0 [0 O [0 CRASH:com.android.webview:webview_apk(1) to 00 IOVDEV-282410 [0 AFO
0 EVT30O O Monkey[l Monkey( [0 4800 O O O O CRASH:com.android.webview:webview_apk(1)

goooooooooooooooooooooooooo

#14 - 2023-05-23 20:08 - CDTS_TEST O O

- Assignee changed from CDTS_TEST O O toCD TEST-O0 0O O

#15 - 2023-05-24 14:07-CD TEST-0 O O

- Status changed from RESOLVED to VERIFIED

oooooooooo

#16 - 2023-05-24 14:07 - CD TEST-O O O
- Status changed from VERIFIED to CLOSED

Files

tlog_sts40x190078_000044_ 0410215449 tar.gz 19.5MB 2023-04-11 CDTEST-000

error.txt 465 KB 2023-04-11 CDTEST-0 00O

error.txt 9.71 MB 2023-04-18 CDTEST-0 00O
